error tras instalar drives para canon LBP6000(solucionado)

Imagen de nacho tineo
4 puntos

Muy buenas como ya comente en un pos anterior logre hacer funcionar mi impresora canon LBP6000 con ubuntu 11.04 sin ningún problema lo que pasa que al rato me tira este error.

http://ubuntuone.com/0KkbUS5g1Xg4Zpt6vXecGy

http://ubuntuone.com/3QcrYndAQtP8Bzc1KzTEKw

http://ubuntuone.com/7lyjA64mJWElOIXzrN7iLt

http://ubuntuone.com/2HCGobVgsQohZjigo1l8tK

La solución es fácil desista lar lo que intente instalar anteriormente cabe decir que una vez instalados los drives la impresora funciona perfectamente.

Pongo la salida de la terminal cuando realizo la instalación.

nacho@ubuntu-11:~/Descargas/raducotescu-CanonCAPTdriver-c8ea9f9$ sudo ./canonLBP_install.sh LBP6000 > lbp6000.log
password for nacho:
dpkg: problemas de dependencias impiden la configuración de cndrvcups-common:
cndrvcups-common depende de gs-esp; sin embargo:
El paquete `gs-esp' no está instalado.
dpkg: error al procesar cndrvcups-common (--install):
problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
cndrvcups-common
dpkg: problemas de dependencias impiden la configuración de cndrvcups-capt:
cndrvcups-capt depende de cndrvcups-common (>= 2.20); sin embargo:
El paquete `cndrvcups-common' no está configurado todavía.
dpkg: error al procesar cndrvcups-capt (--install):
problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
cndrvcups-capt
update-rc.d: warning: ccpd stop runlevel arguments (0 1 6) do not match LSB Default-Stop values (1)

Installing driver for model: LBP6000
using file: CNCUPSLBP6018CAPTK.ppd
Installing packages...
You do have the libstdc++6 package...
Seleccionando el paquete cndrvcups-common previamente no seleccionado.
(Leyendo la base de datos ... 258156 ficheros o directorios instalados actualmente.)
Desempaquetando cndrvcups-common (de .../cndrvcups-common_2.20-1_i386.deb) ...
Seleccionando el paquete cndrvcups-capt previamente no seleccionado.
(Leyendo la base de datos ... 258206 ficheros o directorios instalados actualmente.)
Desempaquetando cndrvcups-capt (de .../cndrvcups-capt_2.20-1_i386.deb) ...
Procesando disparadores para ureadahead ...
Modifying the default /etc/init.d/ccpd file...
Restarting CUPS...
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service cups restart

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the stop(8) and then start(8) utilities,
e.g. stop cups ; start cups. The restart(8) utility is also available.
cups stop/waiting
cups start/running, process 23643
Setting the printer for CUPS...
Setting the printer for CAPT...

CUPS_ConfigPath = /etc/cups/
LOG Path = None
UI Port = 59787

Entry Num : Spooler : Backend : FIFO path : Device Path : Status
----------------------------------------------------------------------------
[0] : LBP6000 : ccp : //localhost:59687 : /dev/usb/lp0 : Modified

Setting CAPT to boot with the system...
System start/stop links for /etc/init.d/ccpd already exist.
Starting ccpd...
* Starting Canon Printer Daemon for CUPS: ccpd
...done.
Checking status:
Canon Printer Daemon for CUPS: ccpd: 2585 2581

Power on your printer! :)
Go to System - Administration - Printing and do the following:
1. disable LBP6000-2 but do not delete it since Ubuntu will recreate it automatically;
2. set LBP6000 as your default printer;
3. reboot your machine and print a test page.
Script author:
Radu Cotescu
http://radu.cotescu.com

Veo que hay un error de dependencias debido a que el paquete "gs-esp" no esta instalado.
Intento instalarlo manualmente :
sudo apt-get install gs-esp
E: No se ha podido localizar el paquete gs-esp

Y como los demás dependen de ese creo que es por hay el error ,el problema es algo molesto dado que cada vez que quiero usar la impresora debo de instalar los drives y luego quitarlos.

Espero alguna idea ,saludos.

Imagen de nacho tineo
+1
+1
-1

Mis conocimientos de ingles son nulos pero totales y cada vez que pregunto algo a google y me sale sin poder traducir suelo desistir pero la verdad que la simplicidad de la pagina enlazada merecía la pena intentarlo.

https://launchpad.net/ubuntu/natty/i386/gs-esp/8.71.dfsg.2-0ubuntu7

De hay me descargue el archivo "gs-esp_8.71.dfsg.2-0ubuntu7_all.deb ",una vez descargado lo ejecute y se abrió el centro de sofware terminada la instalación seguí los pasos anteriores de instalar los drives ,pero esta vez no reporto ningún error y todo funciona sin problemas ni mensajes raros.
Hay lo dejo para la comunidad.
saludos

+1
+1
-1

La libertad es aquella facultad que aumenta la utilidad de todas las demás facultades.
(Immanuel Kant)

Imagen de artiza
+1
0
-1

Gracias a tu descubrimiento he podido instalar una canon iR2020 UFR II LT conectada en red (con MS Server 2008) con el driver cndrvcups-common_2.20-1_i386.deb (que proporciona Canon).

Mil gracias

+1
0
-1
Imagen de nacho tineo
+1
0
-1

Por lo menos a alguien le a servido ,yo sigo peleando jjjj.Al cambiar a ubuntu 12.04 dejo de funcionar.

Y he intentado de mil maneras que encontré por la red pero nada de nada y la respuesta de canon es de risa.

Apreciado Sr. Fernandez,

Muchas gracias por su respuesta describiendo su problema con la instalación del driver del i-SENSYS LBP6000 para Linux Ubuntu.

Lamentablemente tenemos que informarle que no podemos soportar clientes que tienen problemas con la instalación o el uso de los drivers para Linux que se encuentran en nuestro centro de descargas. Canon Inc. en Japón ha tomado la decisión que para algunos dispositivos podemos ofrecer drivers para los usuarios de Linux pero que no podemos soportar eses clientes si hay problemas de instalar eses drivers o si el uso del dispositivo con eses drivers no funciona correctamente.

Por favor acepte nuestras disculpas para eso y especialmente queremos pedirle perdón que Usted no ha recibido esa información anteriormente al primer contacto con nuestro soporte.

Atentamente,

Así que solo me queda que esperar a que alguien de con la solución o que en una de las actualizaciones se arregle.

Saludos

T. Iseli

Canon Services & Support

+1
0
-1

La libertad es aquella facultad que aumenta la utilidad de todas las demás facultades.
(Immanuel Kant)